/*
 * Creació dels espais virtuals
 * es creen 4 EV: per les taules Bd operativa, per taules del DWH, pels índex i els temporals
 * s'ha de realitzar connectat com a SYS/oracle
 */

spool ./01_CreacioTablespace.log;

PROMPT 'CREATE TABLESPACE TFC_BD';
CREATE TABLESPACE TFC_BD 
DATAFILE '/home/vmpep/Documents/tfc/bd_tfc/TFC_DADES_01.dbf' SIZE 50M 
AUTOEXTEND ON NEXT 500K MAXSIZE 200M
BLOCKSIZE 8K --mida estàndard definida és db_block_size
EXTENT MANAGEMENT LOCAL AUTOALLOCATE
SEGMENT SPACE MANAGEMENT AUTO;

PROMPT 'CREATE TABLESPACE TFC_DWH';
CREATE TABLESPACE TFC_DWH 
DATAFILE '/home/vmpep/Documents/tfc/bd_tfc/TFC_DWH_01.dbf' SIZE 50M 
AUTOEXTEND ON NEXT 500K MAXSIZE 200M
BLOCKSIZE 8K --mida estàndard definida és db_block_size
EXTENT MANAGEMENT LOCAL AUTOALLOCATE
SEGMENT SPACE MANAGEMENT AUTO;

PROMPT 'CREATE TABLESPACE TFC_IDX';
CREATE TABLESPACE TFC_IDX
DATAFILE '/home/vmpep/Documents/tfc/bd_tfc/TFC_IDX_01.dbf' SIZE 20M
EXTENT MANAGEMENT LOCAL AUTOALLOCATE
SEGMENT SPACE MANAGEMENT AUTO; 

PROMPT 'CREATE TEMPORARY TABLESPACE TFC_temp';
CREATE TEMPORARY TABLESPACE TFC_temp
TEMPFILE '/home/vmpep/Documents/tfc/bd_tfc/TFC_TMP_01.dbf' SIZE 10M
AUTOEXTEND ON NEXT 200K MAXSIZE 50M;

PROMPT 'CREATE UNDO TABLESPACE TFC_UNDO';
CREATE UNDO TABLESPACE TFC_UNDO
DATAFILE '/home/vmpep/Documents/tfc/bd_tfc/TFC_UNDO_01.dbf' SIZE 30M 
EXTENT MANAGEMENT LOCAL AUTOALLOCATE;

spool off;
