set pagesize 5000
set linesize 100
--set serveroutput on
set term off

-- executar amb usuari admin_tfc/tfc

spool ./10_insercions_per_consultes.log;

PROMPT '------------------------------------------------';
PROMPT 'CARREGA MASSIVA DE DADES PER REALITZAR CONSULTES';
PROMPT '------------------------------------------------';

-- es fa una carrega massiva de dades per poder falsejar les dates de les insercions 

PROMPT ' es fa una carrega de dades directe a les taules per poder realitzar consultes amb diferents dates';

ALTER TRIGGER admin_tfc.trigHistoricCartera DISABLE;
exec admin_tfc.pkg_utils.prc_carrega (1,1,51, 2.5, to_date ('05/01/14', 'dd/mm/yy'), 'C');
exec admin_tfc.pkg_utils.prc_carrega (1,2,31, 15, to_date ('11/01/14', 'dd/mm/yy'), 'C');
exec admin_tfc.pkg_utils.prc_carrega (1,3,61, 70, to_date ('23/02/14', 'dd/mm/yy'), 'C');
exec admin_tfc.pkg_utils.prc_carrega (1,4,71, 30.5, to_date ('05/05/14', 'dd/mm/yy'), 'C');
exec admin_tfc.pkg_utils.prc_carrega (1,5,21, 10.2, to_date ('05/08/14', 'dd/mm/yy'), 'C');
exec admin_tfc.pkg_utils.prc_carrega (2,1,42, 2.5, to_date ('05/02/14', 'dd/mm/yy'), 'C');
exec admin_tfc.pkg_utils.prc_carrega (2,2,22, 14, to_date ('15/03/14', 'dd/mm/yy'), 'C');
exec admin_tfc.pkg_utils.prc_carrega (2,3,52, 75, to_date ('05/04/14', 'dd/mm/yy'), 'C');
exec admin_tfc.pkg_utils.prc_carrega (2,6,12, 6, to_date ('05/10/14', 'dd/mm/yy'), 'C');
exec admin_tfc.pkg_utils.prc_carrega (3,2,44, 12.5, to_date ('05/03/14', 'dd/mm/yy'), 'C');
exec admin_tfc.pkg_utils.prc_carrega (3,3,35, 72.5, to_date ('05/09/14', 'dd/mm/yy'), 'C');
exec admin_tfc.pkg_utils.prc_carrega (3,5,17, 12.5, to_date ('05/06/14', 'dd/mm/yy'), 'C');
exec admin_tfc.pkg_utils.prc_carrega (3,6,19, 5.5, to_date ('05/07/14', 'dd/mm/yy'), 'C');
exec admin_tfc.pkg_utils.prc_carrega (3,9,46, 12.5, to_date ('05/12/14', 'dd/mm/yy'), 'C');
exec admin_tfc.pkg_utils.prc_carrega (1,1,10, 2.1, to_date ('05/02/15', 'dd/mm/yy'), 'C');
exec admin_tfc.pkg_utils.prc_carrega (1,1,11, 2.2, to_date ('22/02/15', 'dd/mm/yy'), 'C');
exec admin_tfc.pkg_utils.prc_carrega (1,1,12, 2.3, to_date ('10/03/15', 'dd/mm/yy'), 'C');
exec admin_tfc.pkg_utils.prc_carrega (1,1,13, 2.4, to_date ('18/03/15', 'dd/mm/yy'), 'V');
exec admin_tfc.pkg_utils.prc_carrega (1,1,14, 2.3, to_date ('27/03/15', 'dd/mm/yy'), 'V');
exec admin_tfc.pkg_utils.prc_carrega (1,1,15, 2.2, to_date ('13/04/15', 'dd/mm/yy'), 'V');
exec admin_tfc.pkg_utils.prc_carrega (1,1,16, 2.1, to_date ('19/04/15', 'dd/mm/yy'), 'V');


commit;

ALTER TRIGGER admin_tfc.trigHistoricCartera ENABLE;

-- prc_cns_operacionsClient

spool off;