#!/bin/bash
clear
echo "Programa d'execució dels tests ABM i consultes a la BD gestió de carteres"
echo ""
echo "per Josep Unyó 15-06-15"
echo

if [ $# -ne 0 ]
then
	echo " Nombre invàlid de paràmetres"
	echo " no cal posar cap paràmetre"
	echo " pex inici_test.sh"
	exit
fi

echo
echo "Inserció de valors a les taules fixes................"
echo

sqlplus -s admin_tfc/tfc@XE<< TAULESFIXES
@./07_insercions_tauFix.sql
TAULESFIXES

echo
echo "Inici test ABM......................................."
echo
sqlplus -s user_tfc/tfc@XE<< ABM
@./08_test_ABM1.sql
@./09_test_ABM2.sql
ABM

sqlplus -s admin_tfc/tfc@XE<< DADES
@./10_insercionsMass.sql
DADES
echo
echo "Inici test consultes................................."
echo
sqlplus -s user_tfc/tfc@XE<< CONS
@./11_test_consultes.sql
CONS

echo
echo "S'han generat els fitxer log de la fase test:"
ls *test*.log
echo
echo
echo "Fi de la fase test................................."
echo
exit