set pagesize 5000
set linesize 110
set serveroutput on
set term off
set wrap off

-- executar com a user_tfc/tfc

spool ./09_test_ABM2.log;

PROMPT '------------------------------------------';
PROMPT 'PROCEDIMENTS ALTA/BAIXA/MODIFICACIO ORDRES';
PROMPT '------------------------------------------';

-- definim la variable OUT
variable varOut varchar2(255 char);

/*
* pkg_ordres
*/

PROMPT 'Situacio inicial de la taula cartera: '
select * from admin_tfc.cartera order by client;

-- prc_ordre_alta
PROMPT 'Alta noves ordres de compra: ';

exec admin_tfc.pkg_ordre.prc_ordre_alta (1, 1, 51, 'COMPRA', 'MAN', 17, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_alta (1, 2, 151, 'COMPRA', 'MAN', 3, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_alta (1, 3, 21, 'COMPRA', 'MAN', 75, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_alta (1, 4, 41, 'COMPRA', 'MAN', 31, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_alta (1, 5, 51, 'COMPRA', 'MAN', 12, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_alta (2, 1, 42, 'COMPRA', 'MAN', 18, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_alta (2, 2, 122, 'COMPRA', 'MAN', 4.3, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_alta (2, 3, 32, 'COMPRA', 'MAN', 75, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_alta (2, 4, 52, 'COMPRA', 'MAN', 32, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_alta (2, 5, 72, 'COMPRA', 'MAN', 13, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_alta (3, 1, 33, 'COMPRA', 'MAN', 16, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_alta (3, 2, 123, 'COMPRA', 'MAN', 2.5, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_alta (3, 3, 23, 'COMPRA', 'MAN', 70, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_alta (3, 4, 43, 'COMPRA', 'MAN', 31, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_alta (3, 5, 53, 'COMPRA', 'MAN', 10, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_alta (4, 1, 34, 'COMPRA', 'MAN', 19, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_alta (4, 2, 134, 'COMPRA', 'MAN', 4.25, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_alta (4, 3, 64, 'COMPRA', 'MAN', 71.5, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_alta (4, 4, 44, 'COMPRA', 'MAN', 35, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_alta (4, 5, 24, 'COMPRA', 'MAN', 10, :varOut);
print :varOut;

-- prc_ordre_alta
-- s'intenta crear una nova ordre del mateix client per la mateixa accio
PROMPT 'Intent de crear una nova ordre per un client que té una ordre que està pendent per la mateixa accio: ';
exec admin_tfc.pkg_ordre.prc_ordre_alta (1, 3, 10, 'VENDA', 'MAN', 70, :varOut);
print :varOut;

PROMPT 'Intent de crear una nova ordre per un client passant identificador inexistent: ';
exec admin_tfc.pkg_ordre.prc_ordre_alta (1000, 3, 10, 'VENDA', 'MAN', 70, :varOut);
print :varOut;

PROMPT 'Intent de crear una nova ordre passant id null: ';
exec admin_tfc.pkg_ordre.prc_ordre_alta ('', 3, 10, 'VENDA', 'MAN', 70, :varOut);
print :varOut;

PROMPT 'Intent de crear una nova ordre amb tipus null: ';
exec admin_tfc.pkg_ordre.prc_ordre_alta (1, 3, 10, '', 'MAN', 70, :varOut);
print :varOut;



-- prc_ordre_execucio
-- s'executen manualment diverses ordres de compra, es compren al preu vigent de l'accio
PROMPT 'Execucio manual ordres compra. Agafant el preu vigent de la accio: ';
exec admin_tfc.pkg_ordre.prc_ordre_execucio (1, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_execucio (2, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_execucio (6, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_execucio (7, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_execucio (11, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_execucio (12, :varOut);
print :varOut;

PROMPT 'Nova situacio de la taula cartera'
select * from admin_tfc.cartera order by client;

-- prc_ordre_alta
-- es posen a la venda uns paquesta d'accions
PROMPT 'Es posen a la venda uns paquets de accions: ';
exec admin_tfc.pkg_ordre.prc_ordre_alta (1, 1, 31, 'VENDA', 'MAN', 18, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_alta (1, 2, 51, 'VENDA', 'MAN', 2.5, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_alta (2, 1, 22, 'VENDA', 'MAN', 30, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_alta (2, 2, 32, 'VENDA', 'MAN', 11.5, :varOut);
print :varOut;



-- prc_ordre_modificacio
-- es canvia la quantitat d'acccions de l'ordre
PROMPT 'Es modifica una ordre: ';
exec admin_tfc.pkg_ordre.prc_ordre_modificacio (3, 31, null, :varOut);
print :varOut;

-- es canvia la quantitat d'una ordre ja executada
PROMPT 'Intent de modificar una ordre ja executada: ';
exec admin_tfc.pkg_ordre.prc_ordre_modificacio (1, 31, null, :varOut);
print :varOut;

PROMPT 'Intent de modificar una ordre passant un identificador inexistent: ';
exec admin_tfc.pkg_ordre.prc_ordre_modificacio (1000, 31, null, :varOut);
print :varOut;

PROMPT 'Intent de modificar una ordre passant un identificador null: ';
exec admin_tfc.pkg_ordre.prc_ordre_modificacio ('', 31, null, :varOut);
print :varOut;

PROMPT 'Intent de modificar una ordre de venda, posant a la venda mes accions que les disponibles: ';
exec admin_tfc.pkg_ordre.prc_ordre_modificacio (24, 150, null, :varOut);
print :varOut;

-- prc_ordre_cancelacio
-- es cancela una ordre
PROMPT 'Es cancela una ordre: ';
exec admin_tfc.pkg_ordre.prc_ordre_cancelacio (20, :varOut);
print :varOut;

PROMPT 'Intent de cancelar una ordre ja executada: ';
exec admin_tfc.pkg_ordre.prc_ordre_cancelacio (2, :varOut);
print :varOut;

PROMPT 'Intent de cancelar una ordre passant id inexistent: ';
exec admin_tfc.pkg_ordre.prc_ordre_cancelacio (2222, :varOut);
print :varOut;

PROMPT 'Intent de cancelar una ordre passant id null: ';
exec admin_tfc.pkg_ordre.prc_ordre_cancelacio ('', :varOut);
print :varOut;

PROMPT ' situacio de la taula ordres'
COLUMN client HEADING 'no cl'
COLUMN accio HEADING 'no ac'
COLUMN preuobjectiu HEADING 'preu OBJ'
COLUMN preuobtingut HEADING 'preu OBT'
COLUMN client FORMAT 9990
COLUMN accio FORMAT 9990
COLUMN dataentrada FORMAT A9
COLUMN tipus FORMAT A3
COLUMN origen FORMAT A3
COLUMN estat FORMAT A3
COLUMN preuobjectiu FORMAT 90.90
COLUMN preuobtingut FORMAT 90.90
COLUMN quantitat FORMAT 9990
COLUMN dataexecucio FORMAT A9
COLUMN total FORMAT 9990.90

select * from admin_tfc.ordres order by client, accio;
-- prc_ordre_execucio
-- s'executen manualment diverses ordres de venda, es venen al preu vigent de l'accio
PROMPT 'Execucio manual ordre venda. Afaga valor vigent de la accio: ';
exec admin_tfc.pkg_ordre.prc_ordre_execucio (21, :varOut);
print :varOut;
exec admin_tfc.pkg_ordre.prc_ordre_execucio (24, :varOut);
print :varOut;

PROMPT 'Intent execucio ordre que no esta en estat PD: ';
exec admin_tfc.pkg_ordre.prc_ordre_execucio (2, :varOut);
print :varOut;

PROMPT 'Intent execucio ordre inexistent';
exec admin_tfc.pkg_ordre.prc_ordre_execucio (12, :varOut);
print :varOut;

PROMPT 'Intent execucio ordre passant id null: ';
exec admin_tfc.pkg_ordre.prc_ordre_execucio ('', :varOut);
print :varOut;

-- prc_accio_preu
PROMPT 'assignacio de nous preus';
exec admin_tfc.pkg_accions.prc_accio_preu ('SCYR', 20, :varOut);
print :varOut;
exec admin_tfc.pkg_accions.prc_accio_preu ('JAZ',3.1, :varOut);
print :varOut;
exec admin_tfc.pkg_accions.prc_accio_preu ('TL5',74, :varOut);
print :varOut;

-- baixa client
PROMPT ' baixa de client amb ordres venda en curs, passant el nif';
exec admin_tfc.pkg_clients.prc_client_baixa ('77989989A', :varOut);
print :varOut;

PROMPT 'Situacio final de la taula ordres'
select * from admin_tfc.ordres order by client, accio;
PROMPT 'Situacio final de la taula cartera'
select * from admin_tfc.cartera order by client;

PROMPT '--------------------';
PROMPT 'PROCEDIMENTS CARTERA';
PROMPT '--------------------';

PROMPT 'Intent de adjudicar accions passant identificadors inexistents: ';
exec admin_tfc.pkg_cartera.prc_cartera_adjudicar (1000, 1, 50, :varOut);
print :varOut;

PROMPT 'Intent de adjudicar accions passant identificadors null: ';
exec admin_tfc.pkg_cartera.prc_cartera_adjudicar ('', 1, 50, :varOut);
print :varOut;

PROMPT 'Intent de adjudicar accions passant quantitat null: ';
exec admin_tfc.pkg_cartera.prc_cartera_adjudicar (1, 1, '', :varOut);
print :varOut;

PROMPT 'Intent de retirar accions passant identificadors inexistents: ';
exec admin_tfc.pkg_cartera.prc_cartera_retirar (1000, 1, 50, 2, :varOut);
print :varOut;

PROMPT 'Intent de retirar accions passant identificadors null: ';
exec admin_tfc.pkg_cartera.prc_cartera_retirar ('', 1, 50, 2, :varOut);
print :varOut;

PROMPT 'Intent de retirar mes accions de les disponibles: ';
exec admin_tfc.pkg_cartera.prc_cartera_retirar (1, 1, 1000, 2, :varOut);
print :varOut;

PROMPT 'Intent de actualitzar una cartera passant identificador inexistent: ';
exec admin_tfc.pkg_cartera.prc_cartera_actualitzar (1000, 2, :varOut);
print :varOut;

PROMPT 'Intent de actualitzar una cartera passant identificador null: ';
exec admin_tfc.pkg_cartera.prc_cartera_actualitzar ('', 2, :varOut);
print :varOut;

commit;

spool off;