set pagesize 5000
set linesize 100
set serveroutput on
set term off


spool ./11_test_consultes.log;

PROMPT '----------------------------------';
PROMPT 'PROCEDIMENTS EXECUCIO DE CONSULTES';
PROMPT '----------------------------------';

-- definim la variable OUT
variable varOut varchar2(255 char);

/*
* pkg_consultes
*/

PROMPT '---------------------------';
PROMPT 'CONSULTES A LA BD OPERATIVA';
PROMPT '---------------------------';



-- prc_cns_operacionsClient
PROMPT ' consulta clients amb operacions el 2014'
exec admin_tfc.pkg_consultes.prc_cns_operacionsClient ('2014', :varOut);
print :varOut;

PROMPT ' consulta clients amb operacions el 2015'
exec admin_tfc.pkg_consultes.prc_cns_operacionsClient ('2015', :varOut);
print :varOut;

PROMPT ' intent de consulta clients entrant any erroni 155215'
exec admin_tfc.pkg_consultes.prc_cns_operacionsClient ('155215', :varOut);
print :varOut;


-- prc_cns_operacionsAccio
PROMPT ' consulta accions amb operacions el 2014'
exec admin_tfc.pkg_consultes.prc_cns_operacionsAccio ('2014', :varOut);
print :varOut;

PROMPT ' consulta accions amb operacions el 2015'
exec admin_tfc.pkg_consultes.prc_cns_operacionsAccio ('2015', :varOut);
print :varOut;

PROMPT ' intent de consulta accions entrant any erroni 155215'
exec admin_tfc.pkg_consultes.prc_cns_operacionsAccio ('155215', :varOut);
print :varOut;

PROMPT ' consulta 10 accions mes adquirides'
exec admin_tfc.pkg_consultes.prc_cns_10accionsMesAdquirides (:varOut);
print :varOut;

PROMPT ' consulta composicio cartera valors de client en data indicada'
exec admin_tfc.pkg_consultes.prc_cns_carteraVigent (1, to_date('01/06/2014', 'dd/mm/yy'), :varOut);
print :varOut;

PROMPT ' intent consulta cartera entrant valors null '
exec admin_tfc.pkg_consultes.prc_cns_carteraVigent ('', '150514', :varOut);
print :varOut;


/*
* pkg_consultes_DWH
*/

PROMPT '-----------------------------';
PROMPT 'CONSULTES A LA BD ESTADISTICA';
PROMPT '-----------------------------';

PROMPT ' consulta beneficis de la cartera del client 1 del mes anterior al mes indicat, mes 06/14 '
exec admin_tfc.pkg_consultes_DWH.prc_cns_beneficiMesClient (1,to_date('06/14', 'mm/yy'), :varOut);
print :varOut;

PROMPT ' consulta beneficis de la cartera del client 1 del mes anterior al mes indicat, mes 06/15 '
exec admin_tfc.pkg_consultes_DWH.prc_cns_beneficiMesClient (1, to_date('06/15', 'mm/yy'), :varOut);
print :varOut;

PROMPT ' intent consulta beneficis de la cartera client passant identificador inexistent'
exec admin_tfc.pkg_consultes_DWH.prc_cns_beneficiMesClient (555, to_date('06/14', 'mm/yy'), :varOut);
print :varOut;

PROMPT ' consulta de les accions disponibles amb id=1 i clients associats '
exec admin_tfc.pkg_consultes_DWH.prc_cns_accDisponibles (1, :varOut);
print :varOut;

PROMPT ' consulta de les accions disponibles amb id=2 i clients associats '
exec admin_tfc.pkg_consultes_DWH.prc_cns_accDisponibles (2, :varOut);
print :varOut;

PROMPT ' intent consulta de les accions disponibles passant identificador inexistent '
exec admin_tfc.pkg_consultes_DWH.prc_cns_accDisponibles (555, :varOut);
print :varOut;

PROMPT ' consulta del client amb cartera accions mes grans '
exec admin_tfc.pkg_consultes_DWH.prc_cns_clientCarteraMax (:varOut);
print :varOut;

PROMPT ' consulta de la accio mes negociada '
exec admin_tfc.pkg_consultes_DWH.prc_cns_accioMesNegociada (:varOut);
print :varOut;


spool off;
